Package org.apache.tomcat.util.descriptor.tld

## Class TldRuleSet.Attribute

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TldRuleSet.Attribute

Enclosing class:
  TldRuleSet

    public static class TldRuleSet.Attribute
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setDeferredMethod()`
`void` `setDeferredValue()`
`void` `setDescription​(java.lang.String description)`
`void` `setExpectedTypeName​(java.lang.String expectedTypeName)`
`void` `setFragment​(boolean fragment)`
`void` `setMethodSignature​(java.lang.String methodSignature)`
`void` `setName​(java.lang.String name)`
`void` `setRequestTime​(boolean requestTime)`
`void` `setRequired​(boolean required)`
`void` `setType​(java.lang.String type)`
`TagAttributeInfo` `toTagAttributeInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setName

    public void setName​(java.lang.String name)

#### setRequired

    public void setRequired​(boolean required)

#### setType

    public void setType​(java.lang.String type)

#### setRequestTime

    public void setRequestTime​(boolean requestTime)

#### setFragment

    public void setFragment​(boolean fragment)

#### setDescription

    public void setDescription​(java.lang.String description)

#### setDeferredValue

    public void setDeferredValue()

#### setDeferredMethod

    public void setDeferredMethod()

#### setExpectedTypeName

    public void setExpectedTypeName​(java.lang.String expectedTypeName)

#### setMethodSignature

    public void setMethodSignature​(java.lang.String methodSignature)

#### toTagAttributeInfo

    public TagAttributeInfo toTagAttributeInfo()